Hi,

Here is the path
 ll -d /usr/lib/_mysql.so
-rwxr-xr-x 1 root 111441 Sep 16 11:35 /usr/lib/_mysql.so
ll -d /usr/lib/python2.4/site-packages/My*
drwxr-xr-x 3 root 4096 Sep 16 11:37 /usr/lib/python2.4/site-packages/
MySQLdb

I build from the source  MySQL-python-1.2.3.tar.gz
By default,
python setup.py build
python setup.py install

MySQL-python-1.2.3 was installed under /usr/lib64.

rb-site failed (missing db) .  I thought 64bit was wrong.

Rebuild it with 32 bit
CFLAGS=-m32 python setup.py build
CFLAGS=-m32 python setup.py install

Got 32 bit.

But installation still went to /usr/lib64

Moved the library from /usr/lib64 to /usr/lib

mv /usr/lib64/python2.4/site-packages/MySQLdb /usr/lib/python2.4/site-
packages/
mv /usr/lib64/python2.4/site-packages/_mysql.so /usr/lib

rb-site still failed with missing db.

On Sep 16, 3:02 pm, Stephen Gallagher <step...@gallagherhome.com>
wrote:
> On Fri, 2011-09-16 at 11:36 -0700, Nelson Jones wrote:
> > Switched with --console
>
> > rb-site --console install /var/www/mysite1
>
> > * Welcome to the Review Board site installation wizard
>
> >     This will prepare a Review Board site installation in:
>
> >     /var/www/mysite1
>
> >     We need to know a few things before we can prepare your site for
> >     installation. This will only take a few minutes.
>
> > * Required modules are missing
>
> >     You are missing Python modules that are needed before the
> >     installation process. You will need to install the necessary
> >     modules and restart the install.
>
> >     Databases (required):
> >         * sqlite3 (pysqlite2, sqlite3)
> >         * MySQL (MySQLdb)
> >         * PostgreSQL (psycopg2)
>
> > I have MySQL installed and MySQL-python-1.2.3 installed (Saw your
> > warning before about-- I should warn you that there's one catch: MySQL
> > doesn't work with this
> > version because RHEL's copy of python-MySQL is too old (this is going
> > to be fixed in RHEL 5.8). --) Thought this should took care
> > of it?
>
> Hmm, version 1.2.3 SHOULD fix the issue. I wonder, did you install it in
> the right Python path? How did you install 1.2.3?
>
>
>
>
>
> > But why rb-site still complained MySQLdb missing?
>
> > Thanks,
>
> > $/usr/lib > file -L _mysql.so
> > _mysql.so: ELF 32-bit LSB shared object, Intel 80386, version 1
> > (SYSV), not stripped
>
> > $/usr/lib/python2.4/site-packages > ll MySMySQLdb/
> > total 116
> > -rwxr-xr-x 1 root 10930 Jun 17  2010 connections.py
> > -rwxr-xr-x 1 root 11854 Sep 16 09:37 connections.pyc
> > drwxr-xr-x 2 root  4096 Sep 16 09:37 constants
> > -rwxr-xr-x 1 root  4624 Jun 17  2010 converters.py
> > -rwxr-xr-x 1 root  5956 Sep 16 09:37 converters.pyc
> > -rwxr-xr-x 1 root 16644 Jun 17  2010 cursors.py
> > -rwxr-xr-x 1 root 18667 Sep 16 09:37 cursors.pyc
> > -rwxr-xr-x 1 root  3121 Jun 17  2010 __init__.py
> > -rwxr-xr-x 1 root  4218 Sep 16 09:37 __init__.pyc
> > -rw------- 1 root   117 Sep 16 11:37 release.py
> > -rwxr-xr-x 1 root   343 Sep 16 11:37 release.pyc
> > -rwxr-xr-x 1 root  2845 Jun 17  2010 times.py
> > -rwxr-xr-x 1 root  4335 Sep 16 09:37 times.pyc
>
> > On Sep 16, 2:09 pm, Nelson Jones <huawen....@gmail.com> wrote:
> > > Installed EPEL package. But now I got a new exception.
>
> > > rb-site install /var/www/mysite1
> > > Traceback (most recent call last):
> > >   File "/usr/bin/rb-site", line 7, in ?
> > >     sys.exit(
> > >   File "/usr/lib/python2.4/site-packages/reviewboard/cmdline/
> > > rbsite.py", line 1674, in main
> > >     command.run()
> > >   File "/usr/lib/python2.4/site-packages/reviewboard/cmdline/
> > > rbsite.py", line 1193, in run
> > >     self.print_introduction()
> > >   File "/usr/lib/python2.4/site-packages/reviewboard/cmdline/
> > > rbsite.py", line 1260, in print_introduction
> > >     page = ui.page("Welcome to the Review Board site installation
> > > wizard")
> > >   File "/usr/lib/python2.4/site-packages/reviewboard/cmdline/
> > > rbsite.py", line 875, in page
> > >     image = gtk.image_new_from_file(logo_file)
> > > AttributeError: 'module' object has no attribute 'image_new_from_file'
>
> > > Please advise.
>
> Hmm, looks like there may be a GUI requirement that increased (without
> being mentioned in requires.txt.) I'll have to look into that and see if
> I can patch around it. In the meantime, you have the right idea with
> using the console version.
>
> Please file a BZ at bugzilla.redhat.com against ReviewBoard on Fedora
> EPEL.- Hide quoted text -
>
> - Show quoted text -- Hide quoted text -
>
> - Show quoted text -

-- 
Want to help the Review Board project? Donate today at 
http://www.reviewboard.org/donate/
Happy user? Let us know at http://www.reviewboard.org/users/
-~----------~----~----~----~------~----~------~--~---
To unsubscribe from this group, send email to 
reviewboard+unsubscr...@googlegroups.com
For more options, visit this group at 
http://groups.google.com/group/reviewboard?hl=en

Reply via email to